%global momorel 4
%global md5sum_src0 09649f983acef679a548344ba7a9bb2f

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A library for creating MusicBrainz enabled tagging applications 
Name: libtunepimp 
Version: 0.5.3
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://musicbrainz.org/doc/libtunepimp
Group: System Environment/Libraries
%NoSource 0 ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libmusicbrainz >= 2.1.2
BuildRequires: readline-devel >= 5.0
BuildRequires: libvorbis-devel
BuildRequires: flac-devel >= 1.2.1
BuildRequires: speex-devel
BuildRequires: faac-devel
BuildRequires: libmad
BuildRequires: libmusicbrainz-devel >= 2.1.2
BuildRequires: taglib-devel
BuildRequires: libofa-devel
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: zlib-devel
BuildRequires: python-devel

%description
The TunePimp library is a development library geared towards developers 
who wish to create MusicBrainz enabled tagging applications.

%package devel
Summary: Headers for developing programs that will use libtunepimp 
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers for developing programs that will use libtunepimp.

%package -n python-tunepimp
Summary: Python bindings for developing programs that will use libtunepimp
Group: Development/Libraries
License: GPL
%define python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%if "%{?python_ver}" > "2"
Requires: python-abi = %{python_ver}
%endif

%description -n python-tunepimp
Python bindings for developing programs that will use libtunepimp.

%prep
%setup -q

%build
%configure
%make

pushd python
%{__python} setup.py build 
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

pushd python
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README* TODO 
%{_bindir}/puid
%{_libdir}/tunepimp
%{_libdir}/libtunepimp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tunepimp-0.5
%{_libdir}/libtunepimp.a
%{_libdir}/libtunepimp.so

%files -n python-tunepimp
%defattr(-,root,root,-)
%doc python/examples/trm.py
%{python_sitelib}/tunepimp/

%changelog
* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-4m)
- rebuild against flac-1.2.1

* Fri Apr 13 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.3-3m)
- make python-tunepimp package

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-2m)
- rebuild against flac-1.1.4

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- version 0.5.3
- remove gcc4.patch and lookuptools-buffer-overflow.diff

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-4m)
- delete libtool library

* Thu Aug  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-3m)
- [SECURITY] CVE-2006-3600
  import libtunepimp-lookuptools-buffer-overflow.diff from opensuse

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.1-2m)
- rebuild against readline-5.0

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-1m)
- version down to 0.4.1 for stable release
- remove fix-detect-taglib.patch

* Sun May 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2
- add fix-detect-taglib.patch
- BuildRequires: taglib-devel
- remove gcc41.patch

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.0-3m)
- rebuild against libmusicbrainz-2.1.2

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-2m)
- add gc-4.1 patch
-- Patch1: libtunepimp-0.3.0-gcc41.patch

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version down for amarok-1.3.6

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- initial package for Momonga Linux
- import libtunepimp-0.3.0-gcc4.patch from Fedora Extras devel
